diff --git a/game/client/src/main/java/net/minecraft/client/gui/keyboard/keys/CharKey.java b/game/client/src/main/java/net/minecraft/client/gui/keyboard/keys/CharKey.java
index f8f5a5f80..fc5242ec2 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/keyboard/keys/CharKey.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/keyboard/keys/CharKey.java
@@ -18,7 +18,6 @@ import net.minecraft.core.util.helper.MathHelper;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
 import org.lwjgl.input.Keyboard;
-import org.lwjgl.opengl.GL11;
 
 import java.lang.reflect.Type;
 import java.util.ArrayList;
@@ -74,7 +73,7 @@ public class CharKey extends Key {
             double animProgress = MathHelper.clamp((getHoldTime() - EXTRAS_HOLD_LENGTH) / 100d, 0, 1);
             GLRenderer.pushFrame();
             GLRenderer.enableState(State.BLEND);
-            GL11.glEnable(GL11.GL_DEPTH_TEST);
+            GLRenderer.enableState(State.DEPTH_TEST);
             GLRenderer.modelM4f().translate(0, 0, 10);
 
             final int size = (int) (64 * animProgress);
diff --git a/game/client/src/main/java/net/minecraft/client/gui/keyboard/keys/Key.java b/game/client/src/main/java/net/minecraft/client/gui/keyboard/keys/Key.java
index 94942e0d9..798e60027 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/keyboard/keys/Key.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/keyboard/keys/Key.java
@@ -21,7 +21,6 @@ import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.sound.SoundCategory;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
-import org.lwjgl.opengl.GL11;
 
 import java.lang.reflect.Type;
 import java.util.HashMap;
diff --git a/game/client/src/main/java/net/minecraft/client/gui/modelviewer/ScreenModelViewer.java b/game/client/src/main/java/net/minecraft/client/gui/modelviewer/ScreenModelViewer.java
index 169eb5803..273614ceb 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/modelviewer/ScreenModelViewer.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/modelviewer/ScreenModelViewer.java
@@ -42,14 +42,14 @@ import java.util.Date;
 import java.util.List;
 import java.util.Locale;
 
-import static org.lwjgl.opengl.GL11.GL_RGBA;
-import static org.lwjgl.opengl.GL11.GL_TEXTURE_2D;
-import static org.lwjgl.opengl.GL11.GL_TEXTURE_HEIGHT;
-import static org.lwjgl.opengl.GL11.GL_TEXTURE_WIDTH;
-import static org.lwjgl.opengl.GL11.GL_UNSIGNED_BYTE;
-import static org.lwjgl.opengl.GL11.glGetError;
-import static org.lwjgl.opengl.GL11.glGetTexImage;
-import static org.lwjgl.opengl.GL11.glGetTexLevelParameteri;
+import static org.lwjgl.opengl.GL41.GL_RGBA;
+import static org.lwjgl.opengl.GL41.GL_TEXTURE_2D;
+import static org.lwjgl.opengl.GL41.GL_TEXTURE_HEIGHT;
+import static org.lwjgl.opengl.GL41.GL_TEXTURE_WIDTH;
+import static org.lwjgl.opengl.GL41.GL_UNSIGNED_BYTE;
+import static org.lwjgl.opengl.GL41.glGetError;
+import static org.lwjgl.opengl.GL41.glGetTexImage;
+import static org.lwjgl.opengl.GL41.glGetTexLevelParameteri;
 
 public class ScreenModelViewer extends ScreenPhotoMode implements ListenerTextFieldElement.ITextChangeListener {
     private static final Logger LOGGER = LogUtils.getLogger();
diff --git a/game/client/src/main/java/net/minecraft/client/gui/nbteditor/ScreenNBTEditor.java b/game/client/src/main/java/net/minecraft/client/gui/nbteditor/ScreenNBTEditor.java
index 372f7bb87..282ba17fd 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/nbteditor/ScreenNBTEditor.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/nbteditor/ScreenNBTEditor.java
@@ -67,10 +67,8 @@ public class ScreenNBTEditor extends Screen {
             int popupY = this.height / 2 - popupHeight / 2;
 
             GLRenderer.globalSetLightEnabled(false);
-//            GL11.glDisable(GL11.GL_FOG);
             GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
 
-//            GL11.glEnable(GL11.GL_TEXTURE_2D);
             float f = 32F;
             t.startDrawingQuads();
             this.mc.textureManager.loadTexture("/assets/minecraft/textures/gui/background.png").bind();
diff --git a/game/client/src/main/java/net/minecraft/client/gui/options/ScreenOptions.java b/game/client/src/main/java/net/minecraft/client/gui/options/ScreenOptions.java
index 33b7a21cd..c1694d823 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/options/ScreenOptions.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/options/ScreenOptions.java
@@ -285,8 +285,6 @@ public class ScreenOptions
         if (this.mc.currentWorld == null) {
 
             int shadowSize = 4;
-//            GL11.glDisable(GL_ALPHA_TEST);
-//            GL11.glShadeModel(GL_SMOOTH);
 
             GLRenderer.pushFrame();
             GLRenderer.setShader(Shaders.COLOR);
@@ -313,8 +311,6 @@ public class ScreenOptions
             tessellator.draw();
 
             GLRenderer.popFrame();
-//            GL11.glShadeModel(GL_FLAT);
-//            GL11.glEnable(GL_ALPHA_TEST);
         }
 
         overlayBackground(this.pagesListWidth, this.pagesListWidth + SEPARATOR_WIDTH, this.top, this.bottom);
diff --git a/game/client/src/main/java/net/minecraft/client/gui/paged/ScreenPaged.java b/game/client/src/main/java/net/minecraft/client/gui/paged/ScreenPaged.java
index 4a94b27a9..f68d4b21a 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/paged/ScreenPaged.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/paged/ScreenPaged.java
@@ -243,9 +243,6 @@ public class ScreenPaged
 
         // Draw shadows
         if (this.mc.currentWorld == null) {
-//            GL11.glDisable(GL_ALPHA_TEST);
-//            GL11.glShadeModel(GL_SMOOTH);
-
             GLRenderer.pushFrame();
             GLRenderer.disableState(State.DEPTH_TEST);
             GLRenderer.enableState(State.BLEND);
@@ -271,9 +268,6 @@ public class ScreenPaged
             tessellator.addVertexWithUV(0, this.bottom - shadowSize, 0.0D, 0.0D, 0.0D);
             tessellator.draw();
             GLRenderer.popFrame();
-
-//            GL11.glShadeModel(GL_FLAT);
-//            GL11.glEnable(GL_ALPHA_TEST);
         }
 
         this.overlayBackground(this.leftWidth, this.leftWidth + SEPARATOR_WIDTH, this.top, this.bottom);
diff --git a/game/client/src/main/java/net/minecraft/client/gui/popup/PopupScreen.java b/game/client/src/main/java/net/minecraft/client/gui/popup/PopupScreen.java
index d6ba8acd5..4c37a4cbd 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/popup/PopupScreen.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/popup/PopupScreen.java
@@ -166,7 +166,6 @@ public final class PopupScreen
         final int popupY = this.height / 2 - this.popupHeight / 2;
 
         GLRenderer.globalSetLightEnabled(false);
-//        GL11.glDisable(GL11.GL_FOG);
         final @NotNull TessellatorGeneral tessellator = GLRenderer.getTessellator();
         GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
 
diff --git a/game/client/src/main/java/net/minecraft/client/gui/toasts/GuiElementToastsHud.java b/game/client/src/main/java/net/minecraft/client/gui/toasts/GuiElementToastsHud.java
index aa83e367f..95f0b5379 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/toasts/GuiElementToastsHud.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/toasts/GuiElementToastsHud.java
@@ -151,7 +151,6 @@ public class GuiElementToastsHud extends Gui {
         }
         GLRenderer.disableState(State.BLEND);
 
-//        GL11.glDisable(GL12.GL_RESCALE_NORMAL);
         Lighting.disable();
         GLRenderer.globalSetLightEnabled(false);
         GLRenderer.disableState(State.DEPTH_TEST);
@@ -171,11 +170,9 @@ public class GuiElementToastsHud extends Gui {
         GLRenderer.setDepthMask(true);
         Lighting.enableInventoryLight();
         GLRenderer.setColor4f(1, 1, 1, 1);
-//        GL11.glEnable(GL12.GL_RESCALE_NORMAL);
 
         GLRenderer.enableState(State.DEPTH_TEST);
         ItemStack icon = toast.getIcon(duration);
-//        ItemModelDispatcher.getInstance().getDispatch(icon).renderItemIntoGui(GLRenderer.getTessellator(), mc.font, mc.textureManager, icon, x + 8, y + 8, 1.0f);
         if (icon != null) ItemModelDispatcher.getInstance().getDispatch(icon).renderGui(GLRenderer.getTessellator(), null, icon, x + 8, y + 8, LightmapHelper.getLightmapCoord(15, 15), 1.0f);
         GLRenderer.disableState(State.DEPTH_TEST);
     }
diff --git a/game/client/src/main/java/net/minecraft/client/render/FogManager.java b/game/client/src/main/java/net/minecraft/client/render/FogManager.java
index 2dc9aa35d..a3ab99b23 100644
--- a/game/client/src/main/java/net/minecraft/client/render/FogManager.java
+++ b/game/client/src/main/java/net/minecraft/client/render/FogManager.java
@@ -1,7 +1,6 @@
 package net.minecraft.client.render;
 
 import static net.minecraft.client.render.uniform.UniformBlock.N;
-import static org.lwjgl.opengl.GL11.*;
 
 import net.minecraft.client.world.WorldClient;
 import net.minecraft.core.block.material.Materials;
@@ -17,6 +16,7 @@ import net.minecraft.client.render.camera.CameraUtil;
 import net.minecraft.client.render.colorizer.Colorizers;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.Dimension;
+import org.lwjgl.opengl.GL41;
 
 public class FogManager {
     public static final int FOG_MODE_SKY = -1;
@@ -170,7 +170,7 @@ public class FogManager {
             this.fogGreen = color[1];
             this.fogBlue = color[2];
         }
-        glClearColor(this.fogRed, this.fogGreen, this.fogBlue, 0.0F);
+        GL41.glClearColor(this.fogRed, this.fogGreen, this.fogBlue, 0.0F);
     }
 
     public static class FogState {
diff --git a/game/client/src/main/java/net/minecraft/client/render/ItemRenderer.java b/game/client/src/main/java/net/minecraft/client/render/ItemRenderer.java
index aaede56bb..a21273c1f 100644
--- a/game/client/src/main/java/net/minecraft/client/render/ItemRenderer.java
+++ b/game/client/src/main/java/net/minecraft/client/render/ItemRenderer.java
@@ -58,7 +58,6 @@ public class ItemRenderer {
             GLRenderer.setBlendFunc(BlendFactor.SRC_ALPHA, BlendFactor.ONE_MINUS_SRC_ALPHA);
             GLRenderer.enableState(State.DEPTH_TEST);
             GLRenderer.setDepthFunc(CompareFunc.LESS);
-//            GL11.glEnable(GL12.GL_RESCALE_NORMAL);
             float brightness = 1.0f;
             GLRenderer.setLightmapCoord1i(this.mc.thePlayer.getLightmap(partialTick));
             GLRenderer.setColor4f(brightness, brightness, brightness, 1.0f);
@@ -134,14 +133,12 @@ public class ItemRenderer {
                 GLRenderer.popFrame();
             }
             GLRenderer.popFrame();
-//            GL11.glDisable(GL12.GL_RESCALE_NORMAL);
         }
         Lighting.disable();
     }
 
     public void renderOverlays(float partialTicks) {
         GLRenderer.disableState(State.DEPTH_TEST);
-//        glDisable(GL_ALPHA_TEST);
 
         if (this.mc.thePlayer.isOnFire()) {
             TextureRegistry.worldAtlas.bind();
@@ -188,7 +185,6 @@ public class ItemRenderer {
             this.mc.textureManager.loadTexture("/assets/minecraft/textures/misc/water.png").bind();
             renderWarpedTextureOverlay(partialTicks);
         }
-//        glEnable(GL_ALPHA_TEST);
         GLRenderer.enableState(State.DEPTH_TEST);
     }
 
diff --git a/game/client/src/main/java/net/minecraft/client/render/Lighting.java b/game/client/src/main/java/net/minecraft/client/render/Lighting.java
index f838cf2f1..9c7478508 100644
--- a/game/client/src/main/java/net/minecraft/client/render/Lighting.java
+++ b/game/client/src/main/java/net/minecraft/client/render/Lighting.java
@@ -26,7 +26,7 @@ public final class Lighting {
     }
 
     public static void enableLight() {
-        enableLight(0.4f, 0.6f);
+        enableLight(0.5f, 0.6f);
     }
 
     public static void enableLight(float ambientBrightness, float lightBrightness) {
diff --git a/game/client/src/main/java/net/minecraft/client/render/PanelCrashReport.java b/game/client/src/main/java/net/minecraft/client/render/PanelCrashReport.java
index e9cbced5f..9c9e4523f 100644
--- a/game/client/src/main/java/net/minecraft/client/render/PanelCrashReport.java
+++ b/game/client/src/main/java/net/minecraft/client/render/PanelCrashReport.java
@@ -1,6 +1,6 @@
 package net.minecraft.client.render;
 
-import static org.lwjgl.opengl.GL11.*;
+import static org.lwjgl.opengl.GL41.*;
 
 import java.awt.BorderLayout;
 import java.awt.Color;
diff --git a/game/client/src/main/java/net/minecraft/client/render/RenderGlobal.java b/game/client/src/main/java/net/minecraft/client/render/RenderGlobal.java
index c05b9bf5c..4ae3f4066 100644
--- a/game/client/src/main/java/net/minecraft/client/render/RenderGlobal.java
+++ b/game/client/src/main/java/net/minecraft/client/render/RenderGlobal.java
@@ -338,8 +338,6 @@ public class RenderGlobal
         GLRenderer.globalSetLightEnabled(false);
         GLRenderer.enableState(State.DEPTH_TEST);
         GLRenderer.setDepthFunc(CompareFunc.ALWAYS);
-//        GL11.glDisable(GL11.GL_FOG);
-//        GL11.glDisable(GL11.GL_ALPHA_TEST);
 
         final double scale = 1f;
         double auroraY = (this.world.getWorldType().getMinY() + this.world.getWorldType().getYRange() + 64f) * 2f;
@@ -388,8 +386,6 @@ public class RenderGlobal
         }
         t.draw();
 
-//        GL11.glEnable(GL11.GL_FOG);
-//        GL11.glEnable(GL11.GL_ALPHA_TEST);
         GLRenderer.setDepthFunc(CompareFunc.LESS_EQUAL);
         GLRenderer.setColor4f(1f, 1f, 1f, 1f);
         GLRenderer.disableState(State.BLEND);
@@ -1074,7 +1070,6 @@ public class RenderGlobal
         GLRenderer.pushFrame();
         TessellatorGeneral tessellator = GLRenderer.getTessellator();
         GLRenderer.enableState(State.BLEND);
-//        GL11.glEnable(GL11.GL_ALPHA_TEST);
         GLRenderer.setBlendFunc(BlendFactor.SRC_ALPHA, BlendFactor.ONE);
         GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, (MathHelper.sin((float) System.currentTimeMillis() / 100F) * 0.2F + 0.4F) * 0.5F);
         if (this.destroyProgress > 0.0F) {
@@ -1084,7 +1079,6 @@ public class RenderGlobal
             GLRenderer.pushFrame();
             int k = this.world.getBlockId(tileHit.tilePos);
             Block<?> block = k <= 0 ? null : Blocks.blocksList[k];
-//            GL11.glDisable(GL11.GL_ALPHA_TEST);
             GLRenderer.setPolygonOffset(-3F, -3F);
             GLRenderer.enableState(State.POLYGON_OFFSET_FILL);
             double x = camera.getX(partialTick);
@@ -1093,7 +1087,6 @@ public class RenderGlobal
             if (block == null) {
                 block = Blocks.STONE;
             }
-//            GL11.glEnable(GL11.GL_ALPHA_TEST);
             tessellator.startDrawingQuads();
             tessellator.setTranslation(-x, -y, -z);
             tessellator.lockColor();
@@ -1110,7 +1103,6 @@ public class RenderGlobal
             tessellator.setTranslation(0.0D, 0.0D, 0.0D);
             GLRenderer.popFrame();
         }
-//        GL11.glDisable(GL11.GL_ALPHA_TEST);
         GLRenderer.popFrame();
     }
 
diff --git a/game/client/src/main/java/net/minecraft/client/render/Scissor.java b/game/client/src/main/java/net/minecraft/client/render/Scissor.java
index 979651199..01c32d546 100644
--- a/game/client/src/main/java/net/minecraft/client/render/Scissor.java
+++ b/game/client/src/main/java/net/minecraft/client/render/Scissor.java
@@ -1,10 +1,10 @@
 package net.minecraft.client.render;
 
 import net.minecraft.client.Minecraft;
+import net.minecraft.client.render.renderer.GLRenderer;
+import net.minecraft.client.render.renderer.State;
 import net.minecraft.core.util.helper.MathHelper;
-import org.lwjgl.opengl.GL11;
-
-import static org.lwjgl.opengl.GL11.GL_SCISSOR_TEST;
+import org.lwjgl.opengl.GL41;
 
 public abstract class Scissor {
 	private static Minecraft mc = Minecraft.getMinecraft();
@@ -18,12 +18,12 @@ public abstract class Scissor {
         int xSizePixels = xSize * xScale;
         int ySizePixels = ySize * yScale;
 
-        GL11.glScissor(xPixels, yPixels, Math.max(xSizePixels, 0), Math.max(ySizePixels, 0));
-        GL11.glEnable(GL_SCISSOR_TEST);
+        GL41.glScissor(xPixels, yPixels, Math.max(xSizePixels, 0), Math.max(ySizePixels, 0));
+        GLRenderer.enableState(State.SCISSOR_TEST);
     }
 
     public static void disable() {
-        GL11.glDisable(GL_SCISSOR_TEST);
+        GLRenderer.disableState(State.SCISSOR_TEST);
     }
 
     public static void scissor(int x, int y, int xSize, int ySize, Runnable method) {
diff --git a/game/client/src/main/java/net/minecraft/client/render/TextureManager.java b/game/client/src/main/java/net/minecraft/client/render/TextureManager.java
index c95484f2f..4ac2f973d 100644
--- a/game/client/src/main/java/net/minecraft/client/render/TextureManager.java
+++ b/game/client/src/main/java/net/minecraft/client/render/TextureManager.java
@@ -2,7 +2,7 @@ package net.minecraft.client.render;
 
 import static net.minecraft.client.util.helper.Textures.*;
 import static net.minecraft.client.util.helper.Buffer.*;
-import static org.lwjgl.opengl.GL12.*;
+import static org.lwjgl.opengl.GL41.*;
 
 import java.awt.image.BufferedImage;
 import java.nio.ByteBuffer;
@@ -55,7 +55,7 @@ import net.minecraft.client.util.helper.Buffer;
 import net.minecraft.core.util.helper.DyeColor;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
-import org.lwjgl.opengl.GL11;
+import org.lwjgl.opengl.GL41;
 import org.slf4j.Logger;
 
 public class TextureManager {
@@ -428,7 +428,7 @@ public class TextureManager {
 
 	public void bindTexture(int textureID) {
 		if (textureID < 0) return;
-		GL11.glBindTexture(GL_TEXTURE_2D, textureID);
+		GL41.glBindTexture(GL_TEXTURE_2D, textureID);
 	}
 
 	public boolean bindDownloadableTexture(String urlTexture, String backupTexture, ImageParser imageParser) {
